# getDefaultSignatory

abstract fun getDefaultSignatory(project: Project): T

Attempts to create a signatory for the project that will be used everywhere something is to be signed and an explicit signatory has not been set (for the task/operation).

This may be called multiple times and the implementer is free to return a different instance if the project state has changed in someway that influences the default signatory.

#### Return

The signatory, or `null` if there is insufficient information available to create one.

#### Parameters

project

The project which the signatory is for